# Receive Counterparty

### Webhook respond body:

```json
{
  //Unique Event ID
  "hook_id": "string",
  //Webhook Type
  "hook_type": int,
  "Data": {
    "Counterparty": {
      "suid" : "string",
      "cuid" : "string",
      "description" : "string",
      "accounts" : [
        {
          "suid" : "string",
          "currency_iso" : "string",
          "status" : int
        }
      ]
    }
  }
}
```

### Statuses[#](https://docs.tst-dlsbaasdmn.com/docs/1.0/hooks/receive-counterparty/#statuses) <a href="#statuses" id="statuses"></a>

* NEW = 0 : Flow status: Created new
* MODERATION = 1 : Flow status: In moderation on manager
* MODERATED = 2 : Flow status: Moderated success
* PROGRESS = 6 : Flow status: Counterparty account is progress state
* ACCEPT = 3 : Result status : Counterparty accepted
* REJECT = 4 : Result status : Counterparty rejected
* BANNED = 5 : Result status : Counterparty canceled (banned)

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.delos.financial/webhooks/receive-counterparty.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
